"use strict";

var R = require('ramda');
var HORIZONTAL = ['left', 'center', 'right'];
var VERTICAL = ['top', 'middle', 'bottom'];
var contains = function contains(array, value) {
    return R.any(function (item) {
        return item === value;
    }, array);
};
var isVertical = function isVertical(value) {
    return contains(VERTICAL, value);
};
var isHorizontal = function isHorizontal(value) {
    return contains(HORIZONTAL, value);
};
function edges(value, defaultHorizontal, defaultVertical) {
    var parts = value.split(' ');
    if (parts.length < 2) {
        if (isHorizontal(parts[0])) {
            parts[1] = defaultVertical;
        }
        if (isVertical(parts[0])) {
            parts[1] = defaultHorizontal;
        }
    }
    var horizontal = isHorizontal(parts[0]) ? parts[0] : parts[1];
    var vertical = isVertical(parts[0]) ? parts[0] : parts[1];
    return { horizontal: horizontal, vertical: vertical };
}
exports.edges = edges;