"use strict";

var React = require('react');
var common_1 = require('../common');
var alignment_1 = require('../common/alignment');
exports.AlignmentContainer = common_1.Radium(function (_ref) {
    var children = _ref.children;
    var _ref$align = _ref.align;
    var align = _ref$align === undefined ? 'center top' : _ref$align;

    var _alignment_1$edges = alignment_1.edges(align, 'center', 'top');

    var horizontal = _alignment_1$edges.horizontal;
    var vertical = _alignment_1$edges.vertical;

    var direction = '';
    var alignItems = '';
    var justifyContent = '';
    if (horizontal === 'left' && vertical === 'top') {
        direction = 'row';
        alignItems = 'flex-start';
    }
    if (horizontal === 'left' && vertical === 'middle') {
        direction = 'row';
        alignItems = 'center';
    }
    if (horizontal === 'left' && vertical === 'bottom') {
        direction = 'row';
        alignItems = 'flex-end';
    }
    if (horizontal === 'right' && vertical === 'top') {
        direction = 'column';
        alignItems = 'flex-end';
    }
    if (horizontal === 'right' && vertical === 'middle') {
        direction = 'row';
        alignItems = 'center';
        justifyContent = 'flex-end';
    }
    if (horizontal === 'right' && vertical === 'bottom') {
        direction = 'column-reverse';
        alignItems = 'flex-end';
    }
    if (horizontal === 'center' && vertical === 'top') {
        direction = 'column';
        alignItems = 'center';
    }
    if (horizontal === 'center' && vertical === 'middle') {
        direction = 'column';
        alignItems = 'center';
        justifyContent = 'center';
    }
    if (horizontal === 'center' && vertical === 'bottom') {
        direction = 'column-reverse';
        alignItems = 'center';
    }
    var styles = common_1.css({
        base: {
            alignItems: alignItems,
            justifyContent: justifyContent,
            Absolute: 0,
            display: 'flex',
            flexDirection: direction
        }
    });
    return React.createElement("div", { style: styles.base }, children);
});
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = exports.AlignmentContainer;