"use strict";

var React = require('react');
var common_1 = require('../common');
exports.CropMark = common_1.Radium(function (_ref) {
    var edge = _ref.edge;
    var length = _ref.length;
    var _ref$offset = _ref.offset;
    var offset = _ref$offset === undefined ? 5 : _ref$offset;
    var _ref$color = _ref.color;
    var color = _ref$color === undefined ? 'rgba(0, 0, 0, 0.15)' : _ref$color;
    var _ref$size = _ref.size;
    var size = _ref$size === undefined ? 20 : _ref$size;

    var base = void 0;
    var xAxis = void 0;
    var yAxis = void 0;
    switch (edge) {
        case 'topLeft':
            base = { Absolute: '-' + (size - 1) + ' auto auto -' + (size - 1) };
            xAxis = { Absolute: 'null ' + offset + ' 0 0' };
            yAxis = { Absolute: '0 0 ' + offset + ' auto' };
            break;
        case 'topRight':
            base = { Absolute: '-' + (size - 1) + ' -' + (size - 1) + ' auto auto' };
            xAxis = { Absolute: 'auto 0 0 ' + offset };
            yAxis = { Absolute: '0 auto ' + offset + ' 0' };
            break;
        case 'bottomLeft':
            base = { Absolute: 'auto auto -' + (size - 1) + ' -' + (size - 1) };
            xAxis = { Absolute: '0 ' + offset + ' auto 0' };
            yAxis = { Absolute: offset + ' 0 0 auto' };
            break;
        case 'bottomRight':
            base = { Absolute: 'null -' + (size - 1) + ' -' + (size - 1) + ' auto' };
            xAxis = { Absolute: '0 0 auto ' + offset };
            yAxis = { Absolute: offset + ' auto 0 0' };
            break;
        default:
    }
    base.width = size;
    base.height = size;
    xAxis.borderBottom = 'solid 1px ' + color;
    yAxis.borderRight = 'solid 1px ' + color;
    var styles = common_1.css({ base: base, xAxis: xAxis, yAxis: yAxis });
    var el = void 0;
    if (size > 0) {
        el = React.createElement("div", { style: styles.base }, React.createElement("div", { style: styles.xAxis }), React.createElement("div", { style: styles.yAxis }));
    }
    return el;
});
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = exports.CropMark;