"use strict";

var __assign = undefined && undefined.__assign || Object.assign || function (t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) {
            if (Object.prototype.hasOwnProperty.call(s, p)) t[p] = s[p];
        }
    }
    return t;
};
var React = require('react');
var common_1 = require('../common');
var CropMark_1 = require('./CropMark');
exports.CropMarks = common_1.Radium(function (_ref) {
    var _ref$width = _ref.width;
    var width = _ref$width === undefined ? 'auto' : _ref$width;
    var _ref$height = _ref.height;
    var height = _ref$height === undefined ? 'auto' : _ref$height;
    var background = _ref.background;
    var cropMarkColor = _ref.cropMarkColor;
    var _ref$cropMarksVisible = _ref.cropMarksVisible;
    var cropMarksVisible = _ref$cropMarksVisible === undefined ? true : _ref$cropMarksVisible;
    var border = _ref.border;
    var children = _ref.children;

    var styles = common_1.css({
        base: {
            position: 'relative',
            boxSizing: 'border-box',
            background: background,
            width: width,
            height: height,
            border: border
        }
    });
    var props = {
        color: cropMarkColor
    };
    if (cropMarksVisible) {
        return React.createElement("div", { style: styles.base }, children, React.createElement(CropMark_1.default, __assign({}, props, { edge: 'topLeft' })), React.createElement(CropMark_1.default, __assign({}, props, { edge: 'topRight' })), React.createElement(CropMark_1.default, __assign({}, props, { edge: 'bottomLeft' })), React.createElement(CropMark_1.default, __assign({}, props, { edge: 'bottomRight' })));
    } else {
        return React.createElement("div", { style: styles.base }, children);
    }
});
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = exports.CropMarks;